#############################################################
#
#  Odin TeleSystems Inc.
#
#  Makefile for building DspDemo2c5416.out for the C5416 DSP (Far mode).
#
#  Notes:
#
#  If the DSP C54x Code Generation Tools are installed in
#
#    d:\ti
#
#  You need to have the following environment variables set
#
#    SET PATH=d:\ti\c5400\cgtools\bin;%PATH%;
#
#    SET C54X_A_DIR=d:\ti\c5400\cgtools\include;d:\ti\c5400\cgtools\lib;d:\ti\c5400\bios\include;d:\ti\c5400\bios\lib;d:\ti\c5400\rtdx\lib;d:\ti\c5400\dsk5416\lib;d:\ti\c5400\dsk5416\include;d:\ti\c5400\xdais\include;d:\ti\c5500\xdais\lib;
#    SET C54X_C_DIR=d:\ti\c5400\cgtools\include;d:\ti\c5400\cgtools\lib;d:\ti\c5400\bios\include;d:\ti\c5400\bios\lib;d:\ti\c5400\rtdx\include;d:\ti\c5400\rtdx\lib;d:\ti\c5400\xdais\include;d:\ti\c5500\xdais\lib;
#
##############################################################

!ifdef DBGSYMBOLS
SYMBOLS=-g
!endif

INC_DIR=..\..\..\..\Api
LIB_DIR=..\Lib
OUT_DIR=5416

#CC=cl500 $(SYMBOLS) -o3 -v548 -pw2
#CC=cl500 $(SYMBOLS) -k -ss -v548 -DCHIP_5416=1 -q -I..\..\..\.. -I$(INC_DIR)
CC=cl500 $(SYMBOLS) -mf -v548 -DCHIP_5416=1 -q -I..\..\..\.. -I$(INC_DIR) -DOTXDSP_BSP_TXBUF_SIZE=3200 -DOTXDSP_BSP_RXBUF_SIZE=3200 -dOTXDSP_BSP_TXBUF_ADDR=0x4000 -dOTXDSP_BSP_RXBUF_ADDR=0x5000 -dOTXDSP_HWY_SPEEDS=0x07
					    

ASM=asm500 -s -mf -v548	-dFARMODE=1
LD=lnk500 -v2


OBJECTS=\
  $(OUT_DIR)\Dsp54Laws.obj\
  $(OUT_DIR)\Dsp54Api.obj\
  $(OUT_DIR)\DspDemo2.obj


HEADERFILES=\
  Demo2Io.h\
  $(INC_DIR)\DspIoctl.h\
  $(INC_DIR)\Dsp54Ioctl.h\
  $(INC_DIR)\Dsp54Api.h\
  $(INC_DIR)\Dsp54Def.h

$(OUT_DIR)\DspDemo2c5416.out: $(OBJECTS) DspDemo2c5416.cmd DspDemo2c5416.mak
  $(LD) DspDemo2c5416.cmd
  @xcopy /F /Y Demo2Io.h    "..\..\..\..\Exe\DspSdk\DspDemo2\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2c5416.out "..\..\..\..\Exe\DspSdk\DspDemo2\W32\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2c5416.out "..\..\..\..\Exe\DspSdk\DspDemo2\W32\Debug\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2c5416.out "..\..\..\..\Exe\DspSdk\DspDemo2\W32\Release\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2c5416.out "..\..\..\..\Exe\DspSdk\DspDemo2\Linux\i386\Release\"

$(OUT_DIR)\Dsp54Laws.obj: $(LIB_DIR)\Dsp54Laws.asm
  $(ASM) $(LIB_DIR)\Dsp54Laws.asm $(OUT_DIR)\Dsp54Laws

$(OUT_DIR)\Dsp54Api.obj: $(LIB_DIR)\Dsp54Api.c $(HEADERFILES)
  $(CC) -fr$(OUT_DIR) $(LIB_DIR)\Dsp54Api.c

$(OUT_DIR)\DspDemo2.obj: DspDemo2.c $(HEADERFILES)
  $(CC) -fr$(OUT_DIR) DspDemo2.c


